﻿#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
#InstallKeybdHook
#UseHook
#SingleInstance, Force

/*
以下の文で、キー配置の入れ替えと、キー同時押し時の動作を定義している。
*/

; ChangeKeyで「CapsLockキー」を「Ctrlキー」に変更する

sc07B & LWin::Send,{Blind}{sc07B} ;「無変換キー」+「左Winキー」で「無変換キー」
sc07B::Return ;「無変換キー」単品押しを無効化

; ChangeKeyで「ひらがなキー」を「右Winキー」に変更
sc079::Send,{sc029} ;「変換キー」を「全角/半角キー」
Ins::Send,{sc029} ;「Insertキー」を「全角/半角キー」
sc07B & sc079::Send,{Blind}{sc079} ;「無変換キー」+「変換キー」で「変換キー」
sc07B & RWin::Send,{Blind}{sc079} ;「無変換キー」+「右Winキー」で「変換キー」
AppsKey::Send,{RAlt} ;「アプリケーションキー」を「右Altキー」
sc07B & AppsKey::Send,{Blind}{RAlt} ;「無変換キー」+「アプリケーションキー」で「右Altキー」


sc07B & J::Send,{Blind}{Left} ;「無変換キー」+「j」で「←キー」
sc07B & K::Send,{Blind}{Down} ;「無変換キー」+「k」で「↓キー」
sc07B & L::Send,{Blind}{Right} ;「無変換キー」+「l」で「→キー」
sc07B & I::Send,{Blind}{Up} ;「無変換キー」+「i」で「↑キー」
sc07B & H::Send,{Blind}{Home} ;「無変換キー」+「h」で「Homeキー」
sc07B & +::Send,{Blind}{End} ;「無変換キー」+「;」で「Endキー」
sc07B & U::Send,{Blind}{BS} ;「無変換キー」+「u」で「Backspaceキー」
sc07B & O::Send,{Blind}{Del} ;「無変換キー」+「o」で「Delキー」


sc07B & S::Send,{Blind}{Left} ;「無変換キー」+「s」で「←キー」
sc07B & D::Send,{Blind}{Down} ;「無変換キー」+「d」で「↓キー」
sc07B & F::Send,{Blind}{Right} ;「無変換キー」+「f」で「→キー」
sc07B & E::Send,{Blind}{Up} ;「無変換キー」+「e」で「↑キー」
sc07B & A::Send,{Blind}{Home} ;「無変換キー」+「a」で「Homeキー」
sc07B & G::Send,{Blind}{End} ;「無変換キー」+「g」で「Endキー」
sc07B & W::Send,{Blind}{BS} ;「無変換キー」+「w」で「Backspaceキー」
sc07B & R::Send,{Blind}{Del} ;「無変換キー」+「r」で「Delキー」


sc07B & BS::Send,{Blind}{Del} ;「無変換キー」+「Backspace」で「Delキー」
sc07B & [::Send,{Blind}{PgUp} ;「無変換キー」+「[キー」で「PageUpキー」
sc07B & ]::Send,{Blind}{PgDn} ;「無変換キー」+「]キー」で「PageDownキー」
sc07B & ?::Send,{Blind}{NumpadDiv} ;「無変換キー」+「?」で「/キー」
sc07B & N::Send,{Blind}{NumpadAdd} ;「無変換キー」+「n」で「+キー」
sc07B & M::Send,{Blind}{NumpadSub} ;「無変換キー」+「m」で「-キー」
sc07B & C::Send,{Blind}{Volume_Down} ;「無変換キー」+「c」で「ボリュームDOWNキー」
sc07B & V::Send,{Blind}{Volume_UP} ;「無変換キー」+「v」で「ボリュームUPキー」


sc07B & 1::Send,{Blind}{F1} ;「無変換キー」+「1」で「F1キー」
sc07B & 2::Send,{Blind}{F2} ;「無変換キー」+「2」で「F2キー」
sc07B & 3::Send,{Blind}{F3} ;「無変換キー」+「3」で「F3キー」
sc07B & 4::Send,{Blind}{F4} ;「無変換キー」+「4」で「F4キー」
sc07B & 5::Send,{Blind}{F5} ;「無変換キー」+「5」で「F5キー」
sc07B & 6::Send,{Blind}{F6} ;「無変換キー」+「6」で「F6キー」
sc07B & 7::Send,{Blind}{F7} ;「無変換キー」+「7」で「F7キー」
sc07B & 8::Send,{Blind}{F8} ;「無変換キー」+「8」で「F8キー」
sc07B & 9::Send,{Blind}{F9} ;「無変換キー」+「9」で「F9キー」
sc07B & 0::Send,{Blind}{F10} ;「無変換キー」+「0」で「F10キー」
sc07B & -::Send,{Blind}{F11} ;「無変換キー」+「-」で「F11キー」
sc07B & ^::Send,{Blind}{F12} ;「無変換キー」+「^」で「F12キー」


!BS::Send,{Del} ;「Alt」+「Backspace」で「Delキー」
AppsKey & BS::Send,{Del} ;「アプリケーションキー」+「Backspace」で「Delキー」